# disable bytecompile otside Python-specific directories
%global _python_bytecompile_extra 0

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/ADM_plugins.*\.so

%define libname		%mklibname %{name}
%define ffmpegversion	4.4.3

# define build_qt -> 1 for building against QT5
# or
# define build_qt6 -> 1 for building against QT6
# (these flags must be mutually exclusive)
%define build_qt	0
%define build_qt6	1

Name:		avidemux
Version:	2.8.1
Release:	%mkrel 16
Summary:	A free video editor
License:	GPLv2+
Group:		Video/Editors and Converters
Url:		http://fixounet.free.fr/avidemux
Source0:	https://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
Source1:	https://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.bz2
Source2: 	0001-get_cabac_inline_x86-Don-t-inline-the-assembly-funct.patch

Patch0:		avidemux-2.7.1-ffmpeg-version.patch
Patch2:		avidemux-2.8.1-plugins-linkage.patch
Patch3:		0001-Disable-faacDecInit-check.patch
Patch4:		avidemux-2.7.4-fix-build-against-qt-5.15.patch
Patch5:		avidemux-linking.patch
Patch6:		avidemux-fix-cmake.patch
Patch7:		avidemux-2.8.1-compile.patch
Patch8:		avidemux-2.8.1-opengl.patch
Patch9:		ffmpeg_buildfix.patch

# git upstream patches from https://github.com/mean00/avidemux2
Patch102:	0002-demuxers-MpegTS-Fix-segfault-extracting-PSI-payload-.patch
Patch103:	0003-coreDemuxerMpeg-coreUtils-Fix-memleaks-probing-for-s.patch
Patch104:	0004-demuxers-MpegTS-Add-additional-protection-against-ov.patch
Patch105:	0005-demuxers-MpegTS-Increase-audio-probe-size-to-deal-be.patch
Patch106:	0006-demuxers-MpegTS-Compare-offsets-instead-of-pointers.patch
Patch107:	0007-demuxers-MpegTS-Allocate-temporary-buffer-for-video-.patch
Patch108:	0008-demuxers-MpegTS-Add-assert.patch
Patch109:	0009-editor-muxerGate-Start-video-copy-from-a-clean-state.patch
Patch110:	0010-coreVideoCodec-editor-Remove-traces-of-an-old-unused.patch
Patch111:	0011-fix-build-with-latest-nv-codec-headers.patch
Patch112:	0012-Add-upstream-fix-for-NVENC-detection.patch

ExclusiveArch:  x86_64 %{ix86}

# core
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	yasm
BuildRequires:	fakeroot
BuildRequires:	chrpath
%if %{build_qt}
# qt
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
BuildRequires:	xsltproc
BuildRequires:	imagemagick
%endif
%if %{build_qt6}
# qt
BuildRequires:	pkgconfig(Qt6Core)
BuildRequires:	pkgconfig(Qt6Gui)
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6OpenGL)
BuildRequires:	pkgconfig(Qt6OpenGLWidgets)
BuildRequires:	pkgconfig(Qt6Widgets)
BuildRequires:	qttools6
BuildRequires:	xsltproc
BuildRequires:	imagemagick
%endif
# plugins
%ifarch %{ix86} x86_64
BuildRequires:	aften-devel
%endif
BuildRequires:	a52dec-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aom)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libpulse-simple)
# There are undefined references when building with libva enabled. To review.
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libvpx)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(opencore-amrnb)
BuildRequires:	pkgconfig(opencore-amrwb)
BuildRequires:	pkgconfig(twolame)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	lame-devel
BuildRequires:	mp4v2-devel
%if "%distro_section" == "tainted"
BuildRequires:	pkgconfig(x264)
BuildRequires:	pkgconfig(x265)
BuildRequires:	pkgconfig(dcaenc)
BuildRequires:	pkgconfig(libdca)
BuildRequires:	pkgconfig(faad2)
BuildRequires:	xvid-devel
%endif

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}
Requires:	pkgconfig(vdpau)
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%if %{build_qt}
%package	qt
Summary:	Qt5 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt5 graphical user interface for %{name}.
%endif

%if %{build_qt6}
%package	qt
Summary:	Qt6 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt6-plugins

%description	qt
This package contains the Qt6 graphical user interface for %{name}.
%endif

%package	plugins
Summary:	Plugins for %{name}

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%if %{build_qt}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif

%if %{build_qt6}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif


%prep
%autosetup -p1 -n %{name}_%{version}

rm -f avidemux_core/ffmpeg_package/ffmpeg-*.tar.bz2
cp %{SOURCE1} avidemux_core/ffmpeg_package/

cp %{SOURCE2} avidemux_core/ffmpeg_package/patches

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"
# Temporarily allow underlinking for building with libva enabled
export LDFLAGS=$(echo ${LDFLAGS} | sed -e 's@-Wl,--no-undefined @@g')

# fix menu exec path for QT6
%if %{build_qt6}
perl -pi -e 's@avidemux3_qt5@avidemux3_qt6@g' \
	./avidemux/qt4/xdg_data/org.avidemux.Avidemux.desktop \
	./avidemux/qt4/xdg_data/org.avidemux.Avidemux.appdata.xml.in
# Qt6 requires a C++17 compiler
sed -i 's|"-std=c++11"|"-std=c++17"|' ./avidemux/qt4/CMakeLists.txt
%endif

%if %{build_qt}
export QTDIR=%{_libdir}/qt5
%endif
%if %{build_qt6}
export QTDIR=%{_libdir}/qt6
%endif


bash bootStrap.bash \
     --with-core \
     --with-cli \
     --with-plugins \
     --with-system-libass \
     --with-system-liba52 \
     --with-system-libmad \
%if %build_qt6
     --enable-qt6 \
%endif
     --with-system-libmp4v2

%install
cp -a install/* %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/avidemux.1 %{buildroot}%{_mandir}/man1
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_datadir}/ADM6_addons


%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}

%files cli
%{_mandir}/man1/avidemux.1*
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so

%if %{build_qt}
%files qt
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_libdir}/libADM_UIQT56.so
%{_libdir}/libADM_render6_QT5.so
%{_libdir}/libADM_openGLQT56.so
%dir %{_datadir}/avidemux6
%dir %{_datadir}/avidemux6/qt5
%{_datadir}/metainfo/org.avidemux.Avidemux.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/org.avidemux.Avidemux.png
%{_datadir}/applications/org.avidemux.Avidemux.desktop
%endif

%if %{build_qt6}
%files qt
%{_bindir}/avidemux3_qt6
%{_bindir}/avidemux3_jobs_qt6
%{_libdir}/libADM_UIQT66.so
%{_libdir}/libADM_render6_QT6.so
%{_libdir}/libADM_openGLQT66.so
%dir %{_datadir}/avidemux6
%dir %{_datadir}/avidemux6/qt6
%{_datadir}/metainfo/org.avidemux.Avidemux.appdata.xml
%{_iconsdir}/hicolor/128x128/apps/org.avidemux.Avidemux.png
%{_datadir}/applications/org.avidemux.Avidemux.desktop
%endif

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%if %{build_qt}
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt5/*.so
%endif
%if %{build_qt6}
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt6/*.so
%endif

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so

%if %{build_qt}
%files qt-plugins
%dir %{_datadir}/avidemux6/qt5/i18n
%{_datadir}/avidemux6/qt5/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt5/*.so
%endif

%if %{build_qt6}
%files qt-plugins
%dir %{_datadir}/avidemux6/qt6/i18n
%{_datadir}/avidemux6/qt6/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt6/*.so
%endif


%changelog
* Tue Jun 25 2024 papoteur <papoteur> 2.8.1-16.mga10
+ Revision: 2076631
- fix build for i686 with patch for ffmpeg
- rebuild for x265
+ daviddavid <daviddavid>
- backport some upstream build fixes
- rebuild for new x265 3.6

* Tue Mar 26 2024 daviddavid <daviddavid> 2.8.1-13.mga10
+ Revision: 2052256
- opencore-amr was moved to Core repo

* Tue Oct 10 2023 danf <danf> 2.8.1-12.mga10.tainted
+ Revision: 1994006
- Rebuild for new libvpx

* Wed Mar 01 2023 daviddavid <daviddavid> 2.8.1-11.mga9
+ Revision: 1946184
- Qt6 requires a C++17 compiler thus fixing build

* Tue Nov 08 2022 luigiwalser <luigiwalser> 2.8.1-10.mga9.tainted
+ Revision: 1904791
- update bundled ffmpeg to 4.4.3

* Tue Nov 08 2022 ghibo <ghibo> 2.8.1-9.mga9.tainted
+ Revision: 1904719
- Add a fix to allow re-enable build on i586 arch
- Disable again i586 arch
- Try to rebuild on i586

* Thu Oct 13 2022 ghibo <ghibo> 2.8.1-6.mga9
+ Revision: 1896722
- Bump version for correctly rebuilding for tainted

* Thu Oct 13 2022 ghibo <ghibo> 2.8.1-5.mga9.tainted
+ Revision: 1896721
- Switch to autopatch.
- Rework patch2 for autopatch.
- Merge patches from git.
- Fix exec path for desktop menu entries for QT6.
- Enable libva temporarily allowing underlinking.
- Add URL of git upstream patches

* Wed Oct 12 2022 ghibo <ghibo> 2.8.1-4.mga9.tainted
+ Revision: 1896657
- Add Qt60OpenGLWidgets to BuildRequires
- Complete conditional flag for building against Qt6.
- Switch to Qt6.

* Wed Oct 12 2022 ghibo <ghibo> 2.8.1-3.mga9.tainted
+ Revision: 1896613
- Add aom to BuildRequires

* Wed Oct 12 2022 ghibo <ghibo> 2.8.1-2.mga9
+ Revision: 1896605
- Remove Patch9, unneeded.
- Temporarily exclude non-x86_64 archs from building.
- Add patch to fix ADM_LIB linking.
- Prepare SPEC flag for building with qt6 instead of qt5.
- Add pkgconfig(libva) to BR
- Add fix for OpenGL preference to GLVND
- Merge patch6, patch7 from OMV, to fix cmake compilation
- Rebuilt against libvpx 1.12.0 (changed major from 6 to 7)
+ luigiwalser <luigiwalser>
- 2.8.1
- bundled ffmpeg is now 4.4.2

* Sun Apr 24 2022 wally <wally> 2.8.0-3.mga9
+ Revision: 1853025
- rebuild for x264 0.164

* Mon Apr 04 2022 umeabot <umeabot> 2.8.0-2.mga9.tainted
+ Revision: 1843999
- Mageia 9 Mass Rebuild

* Mon Dec 27 2021 luigiwalser <luigiwalser> 2.8.0-1.mga9
+ Revision: 1764494
- 2.8.0
- bundled ffmpeg is now 4.4.1

* Mon Mar 08 2021 luigiwalser <luigiwalser> 2.7.8-1.mga9.tainted
+ Revision: 1700673
- 2.7.8
- bundled ffmpeg is now 4.2.4

* Wed Dec 16 2020 umeabot <umeabot> 2.7.6-3.mga8.tainted
+ Revision: 1658145
- Rebuild for new Qt5

* Sun Jul 12 2020 zezinho <zezinho> 2.7.6-2.mga8.tainted
+ Revision: 1605340
- rebuild against x265 3.4

* Wed Jul 08 2020 wally <wally> 2.7.6-1.mga8.tainted
+ Revision: 1603185
- fix linking issues
- disable python bytecompile outside python-specific directories
- filter our plugin .so provides
+ luigiwalser <luigiwalser>
- 2.7.6
- bundled ffmpeg is now 4.2.3

* Mon Jul 06 2020 daviddavid <daviddavid> 2.7.4-5.mga8.tainted
+ Revision: 1602645
- add patch to fix build against new Qt 5.15
- rebuild for new x264-0.157

* Mon May 25 2020 tv <tv> 2.7.4-4.mga8.tainted
+ Revision: 1587549
- rebuild for new x265

* Sun Feb 16 2020 umeabot <umeabot> 2.7.4-3.mga8.tainted
+ Revision: 1536661
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 daviddavid <daviddavid> 2.7.4-2.mga8
+ Revision: 1454770
- rebuild for new x265

* Fri Aug 16 2019 luigiwalser <luigiwalser> 2.7.4-1.mga8.tainted
+ Revision: 1429439
- 2.7.4
- bundled ffmpeg is now 4.1.4

* Sat Mar 30 2019 umeabot <umeabot> 2.7.3-2.mga7.tainted
+ Revision: 1381275
- Qt5 Rebuild

* Fri Mar 22 2019 luigiwalser <luigiwalser> 2.7.3-1.mga7.tainted
+ Revision: 1379569
- 2.7.3

* Tue Mar 12 2019 luigiwalser <luigiwalser> 2.7.2-1.mga7.tainted
+ Revision: 1374434
- 2.7.2
- bundled ffmpeg is now 4.1.1
- remove upstreamed patch 4

* Mon Feb 04 2019 zezinho <zezinho> 2.7.1-8.mga7
+ Revision: 1363063
- rebuild for libx265

* Sun Dec 30 2018 luigiwalser <luigiwalser> 2.7.1-7.mga7
+ Revision: 1347166
- update bundled ffmpeg to 3.3.9
- rebuild for x264

* Mon Nov 12 2018 pterjan <pterjan> 2.7.1-6.mga7
+ Revision: 1329655
- Fix aarch64 patch, I am not sure how it became lowercase before submit :(
- Add support for aarch64

* Tue Oct 16 2018 daviddavid <daviddavid> 2.7.1-5.mga7
+ Revision: 1320827
- rebuild for new x265

* Fri Sep 21 2018 umeabot <umeabot> 2.7.1-4.mga7.tainted
+ Revision: 1295201
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 2.7.1-3.mga7
+ Revision: 1243469
- skip build on aarch64 for now

* Tue Jun 05 2018 luigiwalser <luigiwalser> 2.7.1-2.mga7.tainted
+ Revision: 1234621
- fix ownership of i18n files (thx to tv for the report)

* Mon Jun 04 2018 luigiwalser <luigiwalser> 2.7.1-1.mga7
+ Revision: 1234442
- 2.7.1
- bundled ffmpeg is now 3.3.7
- patch 1 is mostly upstreamed

* Sat Apr 28 2018 daviddavid <daviddavid> 2.7.0-9.mga7
+ Revision: 1222998
- rebuild for new x264 and x265

* Thu Dec 28 2017 wally <wally> 2.7.0-8.mga7.tainted
+ Revision: 1186820
- rebuild for new x265

* Fri Nov 24 2017 tv <tv> 2.7.0-7.mga7.tainted
+ Revision: 1179049
- tainted build

* Thu Nov 23 2017 tv <tv> 2.7.0-6.mga7
+ Revision: 1178971
- tainted build

* Wed Nov 22 2017 tv <tv> 2.7.0-5.mga7
+ Revision: 1178656
- tainted build

* Wed Nov 22 2017 tv <tv> 2.7.0-4.mga7
+ Revision: 1178595
- rebuild for new libx265

* Sun Aug 20 2017 ngompa <ngompa> 2.7.0-3.mga7
+ Revision: 1142470
- Export compiler flags to ensure debuginfo data is correctly made

* Thu Aug 17 2017 sander85 <sander85> 2.7.0-2.mga7.tainted
+ Revision: 1141345
- Rebuild for tainted

* Thu Aug 17 2017 luigiwalser <luigiwalser> 2.7.0-1.mga7
+ Revision: 1141235
- 2.7.0
- rediff patch 0
- update bundled ffmpeg to 3.3.3

* Thu May 04 2017 akien <akien> 2.6.20-3.mga6
+ Revision: 1098974
- Rebuild for tainted

* Tue May 02 2017 akien <akien> 2.6.20-2.mga6
+ Revision: 1098263
- Rebuild in core

* Sat Apr 29 2017 luigiwalser <luigiwalser> 2.6.20-1.mga6.tainted
+ Revision: 1098067
- 2.6.20

* Thu Mar 30 2017 luigiwalser <luigiwalser> 2.6.19-1.mga6.tainted
+ Revision: 1095291
- 2.6.19

* Tue Jan 10 2017 luigiwalser <luigiwalser> 2.6.18-2.mga6.tainted
+ Revision: 1080916
- rebuild for libass

* Fri Jan 06 2017 luigiwalser <luigiwalser> 2.6.18-1.mga6.tainted
+ Revision: 1080314
- 2.6.18

* Thu Jan 05 2017 luigiwalser <luigiwalser> 2.6.17-1.mga6.tainted
+ Revision: 1080229
- 2.6.17
- build with system libmp4v2

* Wed Jan 04 2017 wally <wally> 2.6.16-1.mga6.tainted
+ Revision: 1080050
- add patch to fix tainted build (disable faacDecInit check)

* Sat Dec 31 2016 luigiwalser <luigiwalser> 2.6.16-1.mga6
+ Revision: 1078909
- 2.6.16
- rediff patch 0
- build with system libass, a52dec, and libmad

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.6.15-3.1.mga6.tainted
+ Revision: 1070673
- rebuild for x265

* Sun Nov 20 2016 akien <akien> 2.6.15-3.mga6.tainted
+ Revision: 1068488
- Rebuild in tainted

* Sun Nov 20 2016 akien <akien> 2.6.15-2.mga6
+ Revision: 1068473
- Rebuild in core

* Sun Nov 20 2016 luigiwalser <luigiwalser> 2.6.15-1.mga6.tainted
+ Revision: 1068464
- 2.6.15

* Thu Oct 06 2016 daviddavid <daviddavid> 2.6.14-2.1.mga6.tainted
+ Revision: 1059206
- rebuild to Tainted

* Mon Oct 03 2016 luigiwalser <luigiwalser> 2.6.14-2.mga6
+ Revision: 1058225
- update bundled ffmpeg to 3.0.3

* Mon Sep 19 2016 akien <akien> 2.6.14-1.1.mga6
+ Revision: 1054504
- Submit to tainted

* Mon Sep 19 2016 luigiwalser <luigiwalser> 2.6.14-1.mga6
+ Revision: 1054322
- 2.6.14

* Mon Sep 12 2016 luigiwalser <luigiwalser> 2.6.13-4.mga6.tainted
+ Revision: 1051570
- rebuild for x265

* Sun Aug 21 2016 daviddavid <daviddavid> 2.6.13-3.mga6.tainted
+ Revision: 1047661
- submit to tainted

* Thu Aug 18 2016 akien <akien> 2.6.13-2.mga6
+ Revision: 1046942
- Bump rel for core build

* Thu Aug 18 2016 luigiwalser <luigiwalser> 2.6.13-1.mga6.tainted
+ Revision: 1046891
- 2.6.13
- ffmpeg 3.0.2
- restore wrongly removed ffmpeg patch
- remove upstreamed patch 3
- fix configure options and files list to fix qt5 build

* Mon Jun 20 2016 pterjan <pterjan> 2.6.12-3.mga6.tainted
+ Revision: 1036900
- Fix build on arm

* Wed Apr 06 2016 daviddavid <daviddavid> 2.6.12-2.mga6
+ Revision: 999033
- enable Qt5OpenGL support (Thanks to Charles A Edwards)

* Wed Apr 06 2016 shlomif <shlomif> 2.6.12-1.mga6.tainted
+ Revision: 998944
- New version 2.6.12

* Tue Apr 05 2016 daviddavid <daviddavid> 2.6.10-5.mga6
+ Revision: 998711
- enable x265 support

* Mon Apr 04 2016 neoclust <neoclust> 2.6.10-4.mga6
+ Revision: 998407
- Build with qt5 support

* Fri Mar 04 2016 blino <blino> 2.6.10-3.mga6
+ Revision: 985390
- buildrequire aften on x86 only (uses SIMD instructions)

* Mon Jan 18 2016 luigiwalser <luigiwalser> 2.6.10-2.mga6
+ Revision: 925643
- updated bundled ffmpeg to 2.6.7
- rebuild for x264

* Sat Nov 21 2015 shlomif <shlomif> 2.6.10-1.mga6.tainted
+ Revision: 904743
- New version 2.6.10

* Thu Nov 19 2015 tv <tv> 2.6.8-12.mga6
+ Revision: 904279
- rebuild for new libvpx

* Thu Nov 19 2015 daviddavid <daviddavid> 2.6.8-11.mga6
+ Revision: 904147
- rebuild for new libvpx 1.5.0

* Sat Jun 27 2015 cjw <cjw> 2.6.8-10.mga6.tainted
+ Revision: 846345
- rebuild for libvpx 1.4

* Sun May 17 2015 luigiwalser <luigiwalser> 2.6.8-9.mga5.tainted
+ Revision: 822203
- update bundled ffmpeg to 1.2.12 to fix:
  - CVE-2014-931[67], CVE-2014-960[34], CVE-2015-1872, CVE-2015-3417

* Fri Nov 14 2014 luigiwalser <luigiwalser> 2.6.8-8.mga5.tainted
+ Revision: 797255
- update bundled ffmpeg to 1.2.10 to fix CVE-2014-854[1-8]

* Wed Oct 15 2014 umeabot <umeabot> 2.6.8-7.mga5.tainted
+ Revision: 739118
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.6.8-6.mga5.tainted
+ Revision: 693471
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.6.8-5.mga5
+ Revision: 678074
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Sep 03 2014 luigiwalser <luigiwalser> 2.6.8-4.mga5.tainted
+ Revision: 671161
- update bundled ffmpeg to 1.2.8 to fix CVE-2014-527[12]
- add libsamplerate support (mga#14037)

* Thu Jul 17 2014 luigiwalser <luigiwalser> 2.6.8-3.mga5.tainted
+ Revision: 653480
- consolidate avidemux-{cli,qt,plugins} back into main package
  (with help from Charles A Edwards)

* Thu Jul 03 2014 luigiwalser <luigiwalser> 2.6.8-2.mga5
+ Revision: 642815
- update bundled ffmpeg to 1.2.7 to fix several security issues

* Sun Mar 16 2014 fwang <fwang> 2.6.8-1.mga5.tainted
+ Revision: 604191
- 2.6.8

* Mon Oct 21 2013 umeabot <umeabot> 2.6.6-2.mga4.tainted
+ Revision: 538170
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 2.6.6-1.mga4
+ Revision: 488921
- new version 2.6.6

* Fri Aug 30 2013 fwang <fwang> 2.6.5-1.mga4
+ Revision: 473195
- new version 2.6.5

* Sat Aug 24 2013 fwang <fwang> 2.6.4-3.mga4
+ Revision: 471422
- br sdl

* Sat Aug 24 2013 fwang <fwang> 2.6.4-2.mga4
+ Revision: 471367
- there is hardcode include in vdpau.h

* Sat Aug 24 2013 fwang <fwang> 2.6.4-1.mga4
+ Revision: 471339
- update file list
- update file list
- br yasm
- about to split into different srpm
- br vdpau
- br sqlite3
- about to import 2.6.4

* Sat Aug 24 2013 luigiwalser <luigiwalser> 2.5.6-8.mga4.tainted
+ Revision: 470984
- rebuild for x264

* Mon Jun 17 2013 luigiwalser <luigiwalser> 2.5.6-7.mga4.tainted
+ Revision: 443898
- rebuild for x264

* Mon Jan 14 2013 tmb <tmb> 2.5.6-6.mga3.tainted
+ Revision: 387936
- fix group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 fwang <fwang> 2.5.6-4.mga3.tainted
+ Revision: 294219
- rebuild for new x264

* Sun Aug 05 2012 luigiwalser <luigiwalser> 2.5.6-3.mga3.tainted
+ Revision: 278543
- add patch from neoclust to fix cmake error
- add patches from ffmpeg git to fix CVE-2011-389[35] and CVE-2012-0947

* Tue Apr 03 2012 anssi <anssi> 2.5.6-2.mga2.tainted
+ Revision: 228236
- rebuild due to missing avidemux-qt in x86_64 tainted

* Fri Jan 13 2012 doktor5000 <doktor5000> 2.5.6-1.mga2.tainted
+ Revision: 195666
- don't use %%make, parallel make breaks build
- new version 2.5.6
- removed obsolete %%clean section and empty %%defattrs
- dropped new-x264.patch, already integrated upstream

* Tue Dec 13 2011 fwang <fwang> 2.5.5-2.mga2.tainted
+ Revision: 181276
- rebuild for new x264
+ ahmad <ahmad>
- No need to specify the path to lrelease (that was a problem with my local chroot)

* Sat Jul 09 2011 ahmad <ahmad> 2.5.5-1.mga2.tainted
+ Revision: 121299
- Update to 2.5.5
- Specify the path to %%{qt4bin}/lrelease manually, otherwise the build fails
- Drop patch0,1, fixed upstream
- Rediff patch4 (x264)
- Extend the x264 patch to fix the build with x264 0.115 (Gentoo)
- Prepare the package for tainted build

* Wed Apr 27 2011 wally <wally> 2.5.4-5.mga1
+ Revision: 92131
- fix desktop file names (mga#954)
- drop buildroot definition

* Tue Feb 22 2011 ahmad <ahmad> 2.5.4-4.mga1
+ Revision: 55875
- drop esound-devel (phasing out esound from the distro)
+ anssi <anssi>
- remove old macros
- imported package avidemux


* Mon Dec 06 2010 Götz Waschk <waschk@mandriva.org> 2.5.4-2mdv2011.0
+ Revision: 612215
- fix build with new x264
- new version
- add official patches
- enable va support
- drop patches 4,5
- fix build by disabling --no-undefined
- add avsfilter and logo filter

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 2.5.3-2mdv2011.0
+ Revision: 575258
- install missing libraries (bug #60877)

* Wed Sep 01 2010 Anssi Hannula <anssi@mandriva.org> 2.5.3-1mdv2011.0
+ Revision: 575026
- update file list
- fix build issues (from upstream):
  o 2.5.3_mjpeg_fix.diff
  o 2.5.3_field_asm_fix.diff
- fix underlinking issues of mpeg2enc and jack:
  o avidemux-mpeg2enc-underlinking.patch
  o avidemux-jack-underlinking.patch

  + Funda Wang <fwang@mandriva.org>
    - BR yasm
    - i18n patch not needed
    - New version 2.5.3

* Wed May 05 2010 Götz Waschk <waschk@mandriva.org> 2.5.2-4mdv2010.1
+ Revision: 542369
- rebuild

* Sat Jan 23 2010 Götz Waschk <waschk@mandriva.org> 2.5.2-3mdv2010.1
+ Revision: 495204
- rebuild
- reeable x264 for plf packports

* Thu Jan 14 2010 Götz Waschk <waschk@mandriva.org> 2.5.2-2mdv2010.1
+ Revision: 491377
- disable x264 build on 2010.0

* Thu Jan 14 2010 Götz Waschk <waschk@mandriva.org> 2.5.2-1mdv2010.1
+ Revision: 491239
- fix build on x86_64
- new source URL
- update file list

  + Funda Wang <fwang@mandriva.org>
    - new version 2.5.2

* Thu Dec 10 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-4mdv2010.1
+ Revision: 475968
- rebuild

* Mon Nov 09 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-3mdv2010.1
+ Revision: 463778
- patch for new x264

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-2mdv2010.0
+ Revision: 417570
- fix opencore detection
- remove dca plugin
- update amr build deps

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2010.0
+ Revision: 417550
- new version
- drop patches 4,5,6,7,8
- update file list
- update deps of the GUI packages (bug #52821)
- spec cleanup, always build plugins

* Sat Jul 11 2009 Anssi Hannula <anssi@mandriva.org> 2.5.0-4mdv2010.0
+ Revision: 394818
- fix loading plugins on lib64 systems

* Fri Jul 10 2009 Anssi Hannula <anssi@mandriva.org> 2.5.0-3mdv2010.0
+ Revision: 394337
- workaround to allow building plugins before installing avidemux
- fix building plugins without lame (wrong-include.patch)
- fix underlinking (underlinking.patch)
- add missing buildrequires on libxv-devel
- make requires in UIs more strict
- drop mmx build switch, avidemux has fallbacks for non-MMX systems

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 2.5.0-2mdv2010.0
+ Revision: 394217
- update the patches
- support building the plugins (currently not in the mdv build)

* Fri Jul 10 2009 Götz Waschk <waschk@mandriva.org> 2.5.0-1mdv2010.0
+ Revision: 394078
- fix installation on x86_64
- new version
- drop patches 0,2,3
- rediff patches 1,4
- fix build problems
- update file list
- fix build with new cmake

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 2.4.4-2mdv2009.1
+ Revision: 339350
- rebuild for new libfaad

* Tue Feb 10 2009 Götz Waschk <waschk@mandriva.org> 2.4.4-1mdv2009.1
+ Revision: 339136
- new version
- drop patch 3
- fix format strings
- update patch 2
- disable arts

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 2.4.3-2mdv2009.1
+ Revision: 293213
- fix for new x264
- revert previous change
- fix x264 encoding

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 2.4.3-1mdv2009.0
+ Revision: 249175
- BR libxslt-proc

  + Götz Waschk <waschk@mandriva.org>
    - fix buildrequires
    - new version
    - update build deps
    - switch to cmake
    - update file list

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 2.4.2-2mdv2009.0
+ Revision: 245445
- update patch 2 (libdca)

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2009.0
+ Revision: 245406
- new version
- drop patches 3,4
- update build deps
- update libtool
- update configure options

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Funda Wang <fwang@mandriva.org> 2.4.1-4mdv2009.0
+ Revision: 213688
- add gentoo patches
- rebuild for new directfb

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-2mdv2008.1
+ Revision: 170042
- add qt gui and split the package

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 169979
- new version

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 2.4-2mdv2008.1
+ Revision: 154479
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2008.1
+ Revision: 140518
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.4-0.preview3.1mdv2008.1
+ Revision: 108693
- new version

* Sat Oct 13 2007 Götz Waschk <waschk@mandriva.org> 2.4-0.preview2.1mdv2008.1
+ Revision: 98088
- new version
- drop patch
- fix buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4-0.preview1.3mdv2008.0
+ Revision: 34310
- Rebuild with libslang2.

* Tue May 22 2007 Anssi Hannula <anssi@mandriva.org> 2.4-0.preview1.2mdv2008.0
+ Revision: 29612
- rebuild for new directfb

* Thu May 17 2007 Anssi Hannula <anssi@mandriva.org> 2.4-0.preview1.1mdv2008.0
+ Revision: 27655
- 2.4 preview 1
  o fixes loading of projects
- add cli subpackage
- add compatibility symlink for changed binary name on <= 2007.1
- update patch0


* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.3.0-7mdv2007.1
+ Revision: 148360
- rebuild for new firefox

* Thu Mar 15 2007 Anssi Hannula <anssi@mandriva.org> 2.3.0-6mdv2007.1
+ Revision: 144509
- fix buildrequires
- better description
- use provided icons
- fix menu categories
- adapt package for Mandriva
- Import avidemux

* Tue Feb 27 2007 Götz Waschk <goetz@zarb.org> 2.3.0-5plf2007.1
- rebuild for new firefox

* Thu Feb 22 2007 Götz Waschk <goetz@zarb.org> 2.3.0-4plf2007.1
- rebuild for new libgiil

* Mon Jan 08 2007 Götz Waschk <goetz@zarb.org> 2.3.0-3plf2007.1
- rebuild for new firefox

* Thu Dec 07 2006 Götz Waschk <goetz@zarb.org> 2.3.0-2plf2007.1
- fix firefox build

* Sun Dec 03 2006 Götz Waschk <goetz@zarb.org> 2.3.0-1plf2007.1
- new version

* Fri Nov 17 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.5plf2007.1
- fix firefox requires on lib64 and when backporting

* Thu Nov 09 2006 Götz Waschk <goetz@zarb.org> 2.3-0.preview2.4plf2007.1
- fix mozilla dep

* Thu Nov 09 2006 Götz Waschk <goetz@zarb.org> 2.3-0.preview2.3plf2007.1
- rebuild for new firefox

* Sun Oct 29 2006 Anssi Hannula <anssi@zarb.org> 2.3-0.preview2.2plf2007.1
- disable parallel build

* Fri Oct 20 2006 Götz Waschk <goetz@zarb.org> 2.3-0.preview2.1plf2007.1
- drop the patch
- new version

* Thu Oct 19 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.10plf2007.1
- rebuild

* Tue Sep 19 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.9plf2007.0
- rebuild

* Mon Sep 18 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.8plf2007.0
- rebuild for new firefox

* Sat Sep 09 2006 Anssi Hannula <anssi@zarb.org> 2.2.0-0.preview2b.7plf2007.0
- fix LDFLAGS for lib64 on backports

* Sat Sep 09 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.6plf2007.0
- don't apply the patch on 2006.0

* Wed Aug 30 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.5plf2007.0
- patch for new x264

* Fri Aug 04 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.4plf2007.0
- rebuild for new firefox

* Tue Aug 01 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.3plf2007.0
- Rebuild for new firefox

* Sun Jul 02 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.2plf2007.0
- rebuild

* Fri Jun 23 2006 Götz Waschk <goetz@zarb.org> 2.2.0-0.preview2b.1plf2007.0
- add xdg menu
- new version

* Sun Jun 04 2006 Götz Waschk <goetz@zarb.org> 2.1.2-5plf2007.0
- Rebuild for new firefox

* Thu May 04 2006 Götz Waschk <goetz@zarb.org> 2.1.2-4plf
- rebuild for new firefox

* Sat Apr 22 2006 Götz Waschk <goetz@zarb.org> 2.1.2-3plf
- rebuild for new firefox

* Thu Apr 06 2006 Götz Waschk <goetz@zarb.org> 2.1.2-2plf
- rebuild to fix firefox dep

* Wed Mar 08 2006 Götz Waschk <goetz@zarb.org> 2.1.2-1plf
- drop patch

* Wed Mar 08 2006 Götz Waschk <goetz@zarb.org> 2.1.2-1plf
- New release 2.1.2

* Fri Feb 03 2006 Götz Waschk <goetz@zarb.org> 2.1.0-3plf
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <goetz@zarb.org> 2.1.0-2plf
- rebuild  for new mozilla-firefox

* Tue Dec 27 2005 Götz Waschk <goetz@zarb.org> 2.1.0-1plf
- new version

* Thu Oct 27 2005 Götz Waschk <goetz@zarb.org> 2.1.0-0.step3.2plf
- rebuild for new firefox

* Thu Oct 20 2005 Götz Waschk <goetz@zarb.org> 2.1.0-0.step3.1plf
- new version

* Tue Sep 27 2005 Goetz Waschk <goetz@ryu.zarb.org> 2.1.0-0.step2.2plf
- add rpath to fix mozilla linking

* Tue Sep 13 2005 Götz Waschk <goetz@zarb.org> 2.1.0-0.step2.1plf
- enable x264
- rediff the patch
- new version

* Wed Aug 17 2005 Götz Waschk <goetz@zarb.org> 2.1-0.step1.1plf
- bump deps
- drop source 4
- new version

* Thu Jun 16 2005 Götz Waschk <goetz@zarb.org> 2.0.40-1plf
- ugly workaround for Cooker's broken gcc4
- new version

* Wed May 04 2005 Götz Waschk <goetz@zarb.org> 2.0.38-0.rc3.1plf
- new version

* Wed Apr 20 2005 Götz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.2plf
- mkrel macro

* Sat Apr 02 2005 Götz Waschk <goetz@zarb.org> 2.0.38-0.rc2b.1plf
- decompress icons
- update buildrequires
- enable mmx (doesn't build otherwise)
- new version

* Fri Apr 01 2005 Götz Waschk <goetz@zarb.org> 2.0.38-0.rc1.1plf
- New release 2.0.38rc1

* Thu Feb 17 2005 Götz Waschk <goetz@zarb.org> 2.0.36-1plf
- new version

* Mon Dec 06 2004 Laurent Culioli <laurent@zarb.org> 2.0.34-0.test1.1plf
- 2.0.34-test1
- Drop Patch0

* Wed Oct 27 2004 Laurent Culioli <laurent@zarb.org> 2.0.32-1plf
- 2.0.32
- Patch0: mpeg ps fix.

* Sat Aug 14 2004 Götz Waschk <goetz@zarb.org> 2.0.28-1plf
- source URL
- New release 2.0.28

* Sat Jul 24 2004 Götz Waschk <goetz@plf.zarb.org> 2.0.26-1plf
- update buildrequires
- reenable libtoolize on cooker
- New release 2.0.26

* Mon May 10 2004 Götz Waschk <goetz@plf.zarb.org> 2.0.24-1plf
- add source url
- New release 2.0.24

* Thu Apr 15 2004 Götz Waschk <goetz@plf.zarb.org> 2.0.22-1plf
- don't run libtoolize
- update description
- drop merged patch
- fix buildrequires
- new version

